nx_server_plugin_sdk 1.0 Server Plugin SDK

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IUncompressedVideoFrame0 Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IUncompressedVideoFrame0:

## Classes
struct | PixelAspectRatio

## Public Types
enum | PixelFormat : int { yuv420, argb, abgr, rgba, bgra, rgb, bgr, count }

## Public Member Functions
virtual int | width () const =0
virtual int | height () const =0
PixelAspectRatio | pixelAspectRatio () const
virtual PixelFormat | pixelFormat () const =0
virtual int | lineSize (int plane) const =0
Public Member Functions inherited from nx::sdk::Interface< IUncompressedVideoFrame0, IUncompressedMediaFrame0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual void | getPixelAspectRatio (PixelAspectRatio *outValue) const =0
Protected Member Functions inherited from nx::sdk::Interface< IUncompressedVideoFrame0, IUncompressedMediaFrame0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Member Function Documentation

## ◆ getPixelAspectRatio()

virtual void nx::sdk::analytics::IUncompressedVideoFrame0::getPixelAspectRatio | ( | PixelAspectRatio * | outValue | ) | const
| protectedpure virtual

Called by pixelAspectRatio()

## ◆ height()

virtual int nx::sdk::analytics::IUncompressedVideoFrame0::height | ( |  | ) | const
| pure virtual

Returns
  Height of the decoded frame in pixels.

## ◆ lineSize()

virtual int nx::sdk::analytics::IUncompressedVideoFrame0::lineSize | ( | int | plane | ) | const
| pure virtual

Parameters

  plane | Number of the plane, in range 0..planeCount().

Returns
  Number of bytes in each pixel line of the plane, or 0 if the data is not accessible.

## ◆ pixelAspectRatio()

PixelAspectRatio nx::sdk::analytics::IUncompressedVideoFrame0::pixelAspectRatio | ( |  | ) | const
| inline

Returns
  Aspect ratio of a frame pixel.

## ◆ width()

virtual int nx::sdk::analytics::IUncompressedVideoFrame0::width | ( |  | ) | const
| pure virtual

Returns
  width of the decoded frame in pixels.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_uncompressed_video_frame.h